#include <iostream>

using namespace std;

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	
	int n, l;
	cin >> n >> l;
	
	int h, x = -1;
	bool prosao = true;
	for(int i = 1; i <= n; i++) {
		cin >> h;
		if(h <= l && prosao) {
			x = i;
			prosao = false;
		}
	}
	
	cout << x << endl;
	
	return 0;
}